# !/bin/bash
#
#Copyright (c) 2009, Novell, Inc.  All rights reserved.
#
#Script that is used during load script of an DHCP Cluster
usage()
{
        echo "USAGE: $0 [-m <mount point>]"
}
if [ $# == 0 ]
then
	usage;
        exit 1
fi

while getopts m: o;do
	case $o in
	m)	mountpoint=$OPTARG
		;;
	\?)	usage;
		exit 1
		;;
	esac
done

# Initialize Mount point
DHCPD_ARGS=""

#Pratap's code
USER_OPT=""
USER_PARAM=""
GROUP_OPT=""
GROUP_PARAM=""
INTERFACE_PARAM=""
FINAL_ARGS=""

# Check if /etc/sysconfif/dhcpd is present
if [ -s /etc/sysconfig/dhcpd ]; then
  . /etc/sysconfig/dhcpd

# Get the user and group details
  if [ -n "$DHCPD_RUN_AS" ]; then
    USER_OPT="-user"
    USER_PARAM="$DHCPD_RUN_AS"
    DHCPD_RUN_AS_GROUP="$(getent group $(getent passwd $DHCPD_RUN_AS | cut -d: -f4) | cut -d: -f1)"
    DHCPD_ARGS="$DHCPD_ARGS -user $DHCPD_RUN_AS -group $DHCPD_RUN_AS_GROUP"
    if [ -n "DHCPD_RUN_AS_GROUP" ]; then
	GROUP_OPT="-group"
	GROUP_PARAM="$DHCPD_RUN_AS_GROUP"
    fi
    chown $DHCPD_RUN_AS:$DHCPD_RUN_AS_GROUP /var/lib/dhcp/var/run/
  fi

# create symbolic link to old dhcpd.pid path
  ln -sf /var/lib/dhcp/var/run/dhcpd.pid /var/run/dhcpd.pid

# get the interfaces
  if [ -n "$DHCPD_INTERFACE" ]; then
    DHCPD_ARGS="$DHCPD_ARGS $DHCPD_INTERFACE"
    INTERFACE_PARAM="$DHCPD_INTERFACE"
  fi
fi


# start dhcpd
FINAL_ARGS="-cf $mountpoint/etc/dhcpd.conf -pf /var/lib/dhcp/var/run/dhcpd.pid -lf $mountpoint/var/lib/dhcp/db/dhcpd.leases $DHCPD_ARGS"
systemctl set-environment SYSTEMCTL_OPTIONS_DHCPD="$FINAL_ARGS" SYSTEMCTL_CLUSTER="cluster"
systemctl start dhcpd.service
service_status=$?
systemctl unset-environment SYSTEMCTL_OPTIONS_DHCPD SYSTEMCTL_CLUSTER
# return status
exit $service_status
