#!/bin/sh
#
#Copyright (c) 2008, Novell, Inc.  All rights reserved.
#
#Script to interactively/parametrically add a user credentials (fdn/passwd) 
#as dhcp-ldap record into local OES Credential Store and do some support work.


user_id=`id -u`
if test $user_id -ne 0
then 
	echo "[Error] dhcp_update_proxy_cred: Only root user can run this script" >> "/var/opt/novell/log/proxymgmt/pxymgmt.log"
	exit 1
fi

if [ $# -ne 1 ]
then
	echo "[Error] dhcp_update_proxy_cred: Invalid argument count" >> "/var/opt/novell/log/proxymgmt/pxymgmt.log"
	exit 1
fi


username=$1

# Read Password through the env variable 
if [ "X$OES_DHCP_DATA" == "X" ]; then
        echo "Enter DHCP proxy user password:"
        mode=`stty -g`
        stty -echo
        read passwd
        stty $mode
else
passwd=$OES_DHCP_DATA
fi

if [ "X$passwd" == "X" ]; then
        echo "[Error] dhcp_update_proxy_cred: Failed to read proxy credentials" >> "/var/opt/novell/log/proxymgmt/pxymgmt.log"
	exit 1		
fi

/usr/sbin/oescredstore -s -n dhcp-ldap -u "$username" -p "$passwd"

RET_VAL=$?
if [ $RET_VAL -ne 0 ]
then
	echo "[Status] dhcp_update_proxy_cred: Failed to update proxy credentials to OES Credential Store with error code: $RET_VAL" >> "/var/opt/novell/log/proxymgmt/pxymgmt.log"
	exit 1
else
	echo "[Status] dhcp_update_proxy_cred: Successfully updated proxy credentials to OES Credential Store" >> "/var/opt/novell/log/proxymgmt/pxymgmt.log"
fi

exit 0
