#!/usr/bin/perl -I.

use strict;
use warnings;

use Getopt::Std;

#Logging
my $file_handle;

sub Log_Init()
{
	my $filename = "/var/log/YaST2/y2log";
	open($file_handle, '>>', $filename) or die "Could not open file '$filename' $!";
}

sub Log_Finish()
{
	close $file_handle;
}

sub Log
{
	my $log_string = shift;

	print $file_handle "$log_string\n";
}



my ($admin,$password) = ("","");

sub update_oes2015_schema()
{
	Log("Upgrading DHCP server schema level");
	my $host = `/bin/hostname -i`;
	my $schema_log = "/var/opt/novell/eDirectory/log/oes_schema.log";
	my $schema_file = "/opt/novell/sch/dhcpschema.sch";

	chomp($host);

	my $schema_update_cmd1 = "/opt/novell/eDirectory/bin/ndssch -h $host -F $schema_log  '$admin' $schema_file";

	if ($password ne "") {
		Log("Executing .. ADM_PASSWD='*****' $schema_update_cmd1");
		`ADM_PASSWD='$password' $schema_update_cmd1`;
	}
	else {
		Log("Executing .. $schema_update_cmd1");
		`$schema_update_cmd1`;
	}
	my $ret = $? >> 8;
	if($ret != 0) {
		Log("DHCP Schema update failed[$ret]");
		return -1;
	}

	Log("Successfully updated DHCP server schema level");
	return 0;
}

sub upgrade_oes2015
{
	my $ret = update_oes2015_schema();

	if($ret != 0) {
		Log("DHCP upgrade failed in function upgrade_oes2015");
		return $ret;
	}

	return 0;
}

sub Usage
{
print <<USAGE;

This script upgrades dhcp server

	-a	Tree Administrator
	-p	Password of tree Administrator

USAGE

	exit 0;
}

sub parse_options
{
	my %options=();

	Usage() if !defined($ARGV[0]);
	getopts("a:p:h",\%options) or Usage();

	$admin = $options{a} if defined $options{a};
	$password = $options{p} if defined $options{p};
	Usage() if defined $options{h};

}

sub main
{
	parse_options();
	Log_Init();

	Log("Upgrading DHCP server");

	my $ret = upgrade_oes2015();

	if($ret != 0) {
		Log("DHCP upgrade failed");
		exit $ret;
	}

	Log("DHCP upgrade completed");
	Log_Finish();
}

main;
