#!/usr/bin/perl
# dhcp-getctx.pl
#Copyright © [2008(S)] Novell, Inc.  All Rights Reserved.
#THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.  
#IT MAY NOT BE USED, COPIED, DISTRIBUTED, DISCLOSED, ADAPTED, PERFORMED,
#DISPLAYED, COLLECTED, COMPILED, OR LINKED WITHOUT NOVELL'S PRIOR WRITTEN CONSENT.
#USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT
#THE PERPETRATOR TO CRIMINAL AND CIVIL LIABILITY.
#
#NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, 
#INCLUDING WITHOUT THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
#PARTICULAR PURPOSE, AND NON-INFRINGEMENT. NOVELL, THE AUTHORS OF THE WORK,
#AND THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY CLAIM,
#DAMAGES, OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT,
#OR OTHERWISE, ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE 
#USE OR OTHER DEALINGS IN THE WORK.
#
# Author: Sulabh Sharma. feedback to ssulabh@novell.com
# 
#
 

use Getopt::Std;
%args=();
getopt("s:p:l:a:w:",\%args);

$source = $args{s};
$port   = $args{p};
$ssl = $args{l};
$binddn = $args{a};
$bindpasswd=$ENV{'OES_DATA'};

if ($source eq "" || $port eq "" || $ssl eq "" || $binddn eq "" )
{
&usage();
}



open (OUTPUTFILE,">/opt/novell/dhcp/bin/dhcp-ctx")          
or &fileerror($!);

if($ssl)
{

use Net::LDAPS;
use Net::LDAP::Util qw(ldap_error_text
                         ldap_error_name
                         ldap_error_desc
                        );                                              #SSL bind 
use Net::LDAP::Control;
use Net::LDAP::Constant qw( LDAP_CONTROL_MATCHEDVALS );

 $ctrl = Net::LDAP::Control->new(
   type     => "2.16.840.1.113719.1.513.4.5",
   value    => "",
   critical => 0
 );


$ldap = Net::LDAPS->new($source,
                          port => $port, timeout => 120 ,control => [ $ctrl ]);
  if ($@ ne  "")
   {
    print stderr "Fatal:$@. An ldap error occurred.";
close(OUTPUTFILE);
exit 1;
  
   }

}
else
{
use Net::LDAP;
use Net::LDAP::Util qw(ldap_error_text
                         ldap_error_name
                         ldap_error_desc
                        );                                             # Non-SSL bind
use Net::LDAP::Control;
use Net::LDAP::Constant qw( LDAP_CONTROL_MATCHEDVALS );

 $ctrl = Net::LDAP::Control->new(
   type     => "2.16.840.1.113719.1.513.4.5",
   value    => "",
   critical => 0
 );

$ldap = Net::LDAP->new($source,
                          port => $port, timeout => 120, control => [ $ctrl ]);
  if ($@ ne  "")
   {
    print stderr "Fatal:$@. An ldap error occurred.";
close(OUTPUTFILE);
exit 1;
   }
}


 $mesg = $ldap->bind ($binddn, password => $bindpasswd);

#------------------------------------------------------ERROR --- 
 if (ldap_error_name($mesg) ne "LDAP_SUCCESS")
 {
print stderr "Fatal:";
print stderr ldap_error_name($mesg);
print stderr ": ";
print stderr ldap_error_text($mesg);
close(OUTPUTFILE);
exit 1;
 }
#------------------------------------------------------ERROR ---


my $cn = "dhcpLocator";
my $base = "";
my $mesg = $ldap->search (
                                   base => $base,
                                   filter => "(&(commonname=$cn)(objectclass=dhcpLocator))");

#------------------------------------------------------ERROR ---
 if (ldap_error_name($mesg) ne "LDAP_SUCCESS")
 {
  print stderr $mesg;
close(OUTPUTFILE);
exit 1;
 }
#------------------------------------------------------ERROR ---

my $entry = $mesg->entry;
my $locatordn = $entry->dn;
print OUTPUTFILE &basecn($locatordn,0);
print OUTPUTFILE "\n";


@acl= $entry->get_value ("acl");
$acl=@acl;
int $i;

for ($i=0;$i<$acl;$i++)
{
@grp=split('#',@acl[$i]);
$grp = @grp;
my $dn= @grp[$grp-2];
if (&basecn($dn,1) eq "DHCPGroup")
{
print OUTPUTFILE &basecn($dn,0);
print OUTPUTFILE "\n";
close(OUTPUTFILE);
exit 0;
}


}

close(OUTPUTFILE);
exit 0;

sub basecn ()                                           #BREAKS THE DN INTO CN AND BASE AND RETURNS WHAT IS ASKED FOR
{
local($zone, $b);
($zone, $b) = ($_[0], $_[1]);
my @zone = split(',',$zone);
my $cn =  @zone[0];
my @arrcn = split('=',$cn);
$cn =@arrcn[1];

shift (@zone);
$base = join(",",@zone);
if ($b eq 0)
 {
  return ($base);
 }
else
 {
  return($cn);
 }
}



sub fileerror()                                         #WRITES THE DETAILS OF THE FILE ERRORS INSIDE THE LOGFILE
{
my $var = $_[0];
print stderr $var;
print stderr "\n";
}


sub
usage()
{
print "Usage: perl  dhcp-getctx.pl [options]\n";
print "-s                Ldap Address\n";
print "-p                Ldap Port\n";
print "-l                SSL option (1 for ssl port and 0 for non ssl port)\n";
print "-a                Tree Admin DN\n";
exit 1
}

