#!/bin/bash


#Copyright © [2007(S)] Novell, Inc.  All Rights Reserved

#THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.  
#IT MAY NOT BE USED, COPIED, DISTRIBUTED, DISCLOSED, ADAPTED, PERFORMED,
#DISPLAYED, COLLECTED, COMPILED, OR LINKED WITHOUT NOVELL'S PRIOR WRITTEN CONSENT.
#USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT
#THE PERPETRATOR TO CRIMINAL AND CIVIL LIABILITY.
#
#NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, 
#INCLUDING WITHOUT THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
#PARTICULAR PURPOSE, AND NON-INFRINGEMENT. NOVELL, THE AUTHORS OF THE WORK,
#AND THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY CLAIM,
#DAMAGES, OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT,
#OR OTHERWISE, ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE 
#USE OR OTHER DEALINGS IN THE WORK.
#
# Author: Sulabh Sharma. feedback to ssulabh@novell.com
# 
Input()
{
	echo "Usage: $1 [options]"
	echo "  options are: "
	echo " -lh <ldap_host>"
	echo " -lp <ldap_port>"
	echo " -lps <ldap port for server>"
	echo " -lu <ldap_user_name>"
	echo " -lpw <ldap_password>"
	echo " -la <ldap_adminDN>"
        echo " -lw <admin_password>"
	echo " -lm <ldap_method>"
        echo " -ld <ldap_debugfile>"
	echo " -sc <server_context>"
	echo " -lc <locater_context>"
	echo " -lg <group_context>"
	echo " -so <server_object_name>"
	echo " -s  <ssl option for install(1 or 0)>"
        echo " -lr <ldap referrals>"
	echo " -lccm <ldap certificate check method>"
        echo " -lca <ldap certificate authority>"
	echo " -lcc <ldap client certificate>"
        echo " -lck <ldap client key>"
        echo " -ss <ssl option for server(1 or 0)>"
	exit 1
}

if test $# -eq 0
then
Input
fi

while [ "$1" != "" ]; do
	if [ "$2" = "" ]; then
		Input "$0"
	fi
	case "$1" in
	-lh)
		LDAPHOST="$2"
		;;
	-lp)
		LDAPPORT="$2"
		;;
	-lps)
		LDAPPORTSERV="$2"
		;;
	-lu)    
		LDAPUSERNAME="$2"
		;;
	-lpw)    
	  	LDAPPASSWD="$2"
		;;
	-la)
		LDAPADMIN="$2"
		;;
	-lw)
		ADMINPASSWD="$2"
		;;
	-lbd)
	        LDAPBASEDN="$2"
		;;
	-lm)   
	        LDAPMETHOD="$2"
		;;
	-ld)     
	        LDAPDEBUGFILE="$2"
		;;
	-sc)   
	        SERVERCONTEXT="$2"
		;;
	-lc)
	        LOCATERCONTEXT="$2"
		;;
	-lg) 
	        GROUPCONTEXT="$2"
		;;
	-so)
	        SERVEROBJECT="$2"
		;;
	-s)	
		SSL="$2"
		;;
	-lr)	
		REFERRALS="$2"
		;;
	-lccm)
		LCCMETHOD="$2"
		;;
	-lca)
		CERTAUTHORITY="$2"
		;;
	-lcc)
		CLIENTCERT="$2"
		;;
	-lck)
		CLIENTKEY="$2"
		;;
	-ss)
		SERVERSSL="$2"
		;;
 	*)
		Input "$0"
		;;
	esac
	shift 
	shift
done


#error checking for the inputs 

if [ "$LDAPHOST" = "" ]; then
while [ "$LDAPHOST" = "" ]
do
	echo -n "Enter LDAP Host : "
	read LDAPHOST
done
fi

if [ "$LDAPPORT" = "" ]; then
while [ "$LDAPPORT" = "" ]
do
	echo -n "Enter LDAP Port : "
	read LDAPPORT
done
fi

if [ "$LDAPPORTSERV" = "" ]; then
while [ "$LDAPPORTSERV" = "" ]
do
        echo -n "Enter LDAP Port for server communication : "
        read LDAPPORTSERV
done
fi

if [ "$LDAPUSERNAME" = "" ]; then
while [ "$LDAPUSERNAME" = "" ]
do
	echo -n "Enter LDAP USER NAME  Eg: cn=acme,o=novell : "  
	read LDAPUSERNAME
done
fi


if [ "$LDAPADMIN" = "" ]; then
while [ "$LDAPADMIN" = "" ]
do
	echo -n "Enter LDAP Admin DN  Eg: cn=admin,o=novell : " 
	read LDAPADMIN
done
fi


if [ "$LDAPMETHOD" = "" ]; then
while [ "$LDAPMETHOD" = "" ]
do
	echo -n "Enter LDAP METHOD  STATIC or Dynamic : " 
	read LDAPMETHOD
done
fi

if [ "$LDAPDEBUGFILE" = "" ]; then
while [ "$LDAPDEBUGFILE" = "" ]
do
	echo -n "Enter LDAP DEBUG FILE name : "
	read LDAPDEBUGFILE
done
fi

if [ "$SERVERCONTEXT" = "" ]; then
while [ "$SERVERCONTEXT" = "" ]
do
	echo -n "Enter the server object context:  NULL if not required: " 
	read SERVERCONTEXT
done
fi

if [ "$LOCATERCONTEXT" = "" ]; then
while [ "$LOCATERCONTEXT" = "" ]
do
	echo -n "Enter locater object context:  NULL if not required: " 
	read LOCATERCONTEXT
done
fi

if [ "$SERVEROBJECT" = "" ]; then
while [ "$SERVEROBJECT" = "" ]
do
	echo -n "Enter the server object name :"
	read SERVEROBJECT
done
fi

if [ "$GROUPCONTEXT" = "" ]; then
while [ "$GROUPCONTEXT" = "" ]
do
	echo -n "Enter the group object context:  NULL if not required: " 
	read GROUPCONTEXT
done 
fi

if [ "$SERVERSSL" = "" ]; then
while [ "$SERVERSSL" = "" ]
do 
	echo -n "Enter the SERVER SSL option: 0 or 1: "
	read SERVERSSL
done 
fi

if [ "$SSL" = "" ]; then
while [ "$SSL" = "" ]
do
        echo -n "Enter SSL option:  0 or 1: " 
        read SSL
done
fi

if [ "$LCCMETHOD" = "hard" ]; then
if [ "$CERTAUTHORITY" = "" ]; then
exit 1
fi 
fi

var=`ls /etc/dhcpd.conf.bak -1 | wc -l`;
if [ "$var" = "0" ]; then
cp /etc/dhcpd.conf /etc/dhcpd.conf.bak
fi 
echo -e "ldap-server" '"'$LDAPHOST'"'';'>/etc/dhcpd.conf
echo -e "ldap-port"  $LDAPPORTSERV';'>>/etc/dhcpd.conf
if [ "$SERVERSSL" = "1" ]; then
echo -e "ldap-ssl" "ldaps"';'>>/etc/dhcpd.conf
else
echo -e "ldap-ssl" "off"';'>>/etc/dhcpd.conf
fi
echo -e "ldap-base-dn" '"'$SERVERCONTEXT'"'';'>>/etc/dhcpd.conf
echo -e "ldap-method" $LDAPMETHOD';'>>/etc/dhcpd.conf
echo -e "ldap-debug-file" '"'$LDAPDEBUGFILE'"'';'>>/etc/dhcpd.conf
echo -e "ldap-dhcp-server-cn" '"'$SERVEROBJECT'"'';'>>/etc/dhcpd.conf
if [ "$REFERRALS" != "" ]; then 
echo -e "ldap-referrals" $REFERRALS';'>>/etc/dhcpd.conf
fi

if [ "$SERVERSSL" = "1" ]; then
if [ "$LCCMETHOD" != "" ]; then
echo -e "ldap-tls-reqcert" $LCCMETHOD';'>>/etc/dhcpd.conf
fi
if [ "$CERTAUTHORITY" != "" ]; then
echo -e "ldap-tls-ca-file" '"'$CERTAUTHORITY'"'';'>>/etc/dhcpd.conf
fi
if [ "$CLIENTCERT" != "" ]; then
echo -e "ldap-tls-cert" '"'$CLIENTCERT'"'';'>>/etc/dhcpd.conf
fi
if [ "$CLIENTKEY" != "" ]; then
echo -e "ldap-tls-key" '"'$CLIENTKEY'"'';'>>/etc/dhcpd.conf
fi
fi

if [ "$OES_DATA" = "" ]; then
if [ "$ADMINPASSWD" = "" ]; then
while [ "$ADMINPASSWD" = "" ]
do
       echo -n "Enter LDAP Admin PASSWORD : "
       read ADMINPASSWD
done
fi
else
ADMINPASSWD=$OES_DATA
fi


if [ "$OES_DATA2" = "" ]; then
if [ "$LDAPPASSWD" = "" ]; then
while [ "$LDAPPASSWD" = "" ]
do
       echo -n "Enter LDAP User PASSWORD : "
       read LDAPPASSWD
done
fi
else
LDAPPASSWD=$OES_DATA2
fi

var=`/opt/novell/dhcp/bin/create_default_object $LDAPHOST $LDAPPORT "$LDAPADMIN" $ADMINPASSWD "$SERVERCONTEXT" "$LOCATERCONTEXT" "$GROUPCONTEXT" "$SERVEROBJECT" $SSL "$LDAPUSERNAME" $LDAPPASSWD`;

temp=$?
if [ "$temp" -gt "0" ]; then
exit $temp
fi

oescredstore -s -n dhcp-ldap -u "$LDAPUSERNAME" -p "$LDAPPASSWD"

unset OES_DATA
unset OES_DATA2

touch /var/lib/dhcp/db/dhcpd.leases
sed 's/DHCPD_RUN_CHROOTED="yes"/DHCPD_RUN_CHROOTED="no"/g' /etc/sysconfig/dhcpd --in-place 

var=`grep -c "if (\\$programname == 'dhcpd')" /etc/rsyslog.conf`;
if [ "$var" -eq "0" ]; then
echo -e "if (\$programname == 'dhcpd') \\" >>/etc/rsyslog.conf
echo -e "then {" >>/etc/rsyslog.conf
echo -e "	/var/log/dhcpd.log" >>/etc/rsyslog.conf
echo -e "}" >>/etc/rsyslog.conf
fi

var1=`touch /var/log/dhcpd.log`;
var2=`chmod 640 /var/log/dhcpd.log`;
var3=`systemctl reload syslog.service`;

