#!/bin/bash
# This script removes the schema from the eDir. The format of the schema can be anything dhcp.schema
# or dhcpschema.ldif.
#
# Copyright © [2007] Novell, Inc.  All Rights Reserved.

# THIS WORK IS SUBJECT TO U.S. AND INTERNATIONAL COPYRIGHT LAWS AND TREATIES.  IT MAY NOT BE USED, COPIED, 
# DISTRIBUTED, DISCLOSED, ADAPTED, PERFORMED, DISPLAYED, COLLECTED, COMPILED, OR LINKED WITHOUT NOVELL'S PRIOR 
# WRITTEN CONSENT.  USE OR EXPLOITATION OF THIS WORK WITHOUT AUTHORIZATION COULD SUBJECT THE PERPETRATOR TO CRIMINAL 
# AND CIVIL LIABILITY.

# NOVELL PROVIDES THE WORK "AS IS," WITHOUT ANY EXPRESS OR IMPLIED WARRANTY, INCLUDING WITHOUT THE IMPLIED WARRANTIES 
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NON-INFRINGEMENT. NOVELL, THE AUTHORS OF THE WORK, AND 
# THE OWNERS OF COPYRIGHT IN THE WORK ARE NOT LIABLE FOR ANY CLAIM, DAMAGES, OR OTHER LIABILITY, WHETHER IN AN ACTION 
# OF CONTRACT, TORT, OR OTHERWISE, ARISING FROM, OUT OF, OR IN CONNECTION WITH THE WORK OR THE USE OR OTHER DEALINGS 
# IN THE WORK.

PROG_NAME=$(basename $0);
file="";
binddn="";
passwd="";
host="";
port="";

usage() {
  echo -u2 "Usage: ${PROG_NAME} [-h HOST] [-p port] -D bind_dn -w passwd -f schema_file"
}
while getopts h:D:w:f:p: OPTION
do
    case ${OPTION} in
        D) binddn=${OPTARG};;
        w) passwd=${OPTARG};;
        f) file=${OPTARG};;
        h) host=${OPTARG};;
        p) port=${OPTARG};;
      \?) usage;
           exit 2;;
    esac
done

if [ "$binddn" = "" ]
then
  echo "binddn not specified";
  usage;
  exit 2;
fi

if [ "$passwd" = "" ]
then
  if [ "$DNIPINST_PASS" = "" ]
  then
     echo -n "enter passwd for $binddn:";
     oldmodes=`stty -g`
     stty -echo
     read passwd
     stty $oldmodes
  else
     passwd=$DNIPINST_PASS;
 fi
fi

if [ "$file" = "" ]
then
  echo "File not specified";
  usage;
  exit 2;
fi

#echo "ObjectClass";

listobj=`grep -i -E 'objectclass?.*\(' $file | cut -d'(' -f2 | cut -d'N' -f1`
if [ -e temp.file ]; then unlink temp.file; fi;

ctr=0;
touch temp.file;
for temp in $listobj
do 
  echo $temp >> temp.file;
  ctr=`expr $ctr + 1`;
done
line=`sed 's/$/@/g' temp.file |tr -d "\n"`
#echo "ctr=$ctr---$listobj";
while test "$ctr" != "0"
do
	echo "dn: cn=schema" > ldif.file;
	echo "changetype: modify" >> ldif.file;
	echo "delete: objectclasses" >> ldif.file;
        var1=`echo $line|cut -d"@" -f$ctr` 
	echo "objectclasses : ($var1)" >> ldif.file;
        ctr=`expr $ctr - 1`
#	cat ldif.file;
	command=" /opt/novell/eDirectory/bin/ldapmodify -D $binddn -w $passwd -x -f ldif.file "
	if [ "$host" != "" ] # -ne
	then 
		command="$command -h $host";
	fi
	if [ "$port" = "" ]  
	then
		command="$command -Z";
	elif [ "$port" = "389" ]
	then
		command="$command -p 389 -Z";
	elif [ "$port" = "636" ]
	then
		command="$command -p 636 -E";
	fi
#	echo $command;
	$command &>/dev/null;
done

#echo "Attribute";

unlink temp.file;
listatr=`grep -i -E 'attributetypes?.*\(' $file | cut -d'(' -f2 | cut -d'N' -f1`
ctr=0;
touch temp.file;
for temp in $listatr
do 
  echo $temp >> temp.file;
  ctr=`expr $ctr + 1`;
done

line=`sed 's/$/@/g' temp.file |tr -d "\n"`
while test "$ctr" != "0"
do
	echo "dn: cn=schema" > ldif.file;
	echo "changetype: modify" >> ldif.file;
	echo "delete: attributetypes" >> ldif.file;
       var1=`echo $line|cut -d"@" -f$ctr`; 
	echo "attributetypes : ( $var1 )" >> ldif.file;
        ctr=`expr $ctr - 1`
#	cat ldif.file;
	command="/opt/novell/eDirectory/bin/ldapmodify -D $binddn -w $passwd -x -f ldif.file "
	if [ "$host" != "" ] # -ne
	then 
		command="$command -h $host";
	fi
	if [ "$port" = "" ]  #-ne
	then
		command="$command -Z";
	elif [ "$port" = "389" ]
	then
		command="$command -p 389 -Z";
	elif [ "$port" = "636" ]
	then
		command="$command -p 636 -E";
	fi
#	echo $command;
	$command &>/dev/null;
done
	echo "schema removal complete"
unset $passwd;
#unlink ldif.file;
#unlink temp.file;
